List Movespecs
curl --request GET \
--url https://api.kynasmith.dev/api/movespecs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/movespecs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/movespecs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"has_more": true,
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "private",
"archived_at": "2023-11-07T05:31:56Z",
"current_released_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"star_count": 0
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}movespecs
List Movespecs
List and search public catalogue entries, optionally filtered.
This endpoint consolidates listing and search into one unified route (#22).
The former GET /api/movespecs/search endpoint has been removed.
GET
/
api
/
movespecs
List Movespecs
curl --request GET \
--url https://api.kynasmith.dev/api/movespecs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kynasmith.dev/api/movespecs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kynasmith.dev/api/movespecs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"has_more": true,
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "private",
"archived_at": "2023-11-07T05:31:56Z",
"current_released_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"star_count": 0
}
],
"limit": 123,
"offset": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
BearerAccessTokenBearerAccessToken
Backend-issued machine access token for project-scoped API access.
Query Parameters
Full-text search across MoveSpec name and description.
Sort order for results.
Available options:
recent, stars, name Maximum items per page.
Required range:
1 <= x <= 200Offset from the start of the result set.
Required range:
x >= 0Response
Successful Response
Whether more items exist beyond this page.
Show child attributes
Show child attributes
Page size used for this response.
Offset from the start of the full result set.
Total number of matching items.